[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [aspectj-dev] error setting up workspace for AJDT

The setup process for AJDT is painful (working on AJDT is quite painful and needs improving -> feel free to contribute improvements). IIRC correctly the problem you are seeing is because it is taking the aspectjweaver from the workspace rather than the version in the installation of eclipse (so picking up the wrong Definition). So I don't like this but if you close your org.aspectj.weaver project (or otherwise tweak the launch config to not use the one in the workspace) then it should pick up the one from your base eclipse and get you beyond that issue. I would match rather it worked with the version from the workspace otherwise when changing the weaver is awkward, but I don't have the OSGi skills to trick it into working.

cheers,
Andy

On 30 November 2017 at 22:49, Conrad Bell <cb1399@xxxxxxxx> wrote:

I am following the steps at http://wiki.eclipse.org/AJDT_Developer_FAQ. In a fresh install of Eclipse Oxygen (4.7.1a) , I cloned AJDT source from master (v1.8.13). Java is v1.8.0_111. When I run my eclipse application launch configuration, I get the following two errors on the console before a new eclipse window pops up:

Â

[org.eclipse.equinox.weaving.hook] info adding AspectJ hooks ...

java.lang.ClassNotFoundException: org.aspectj.weaver.loadtime.definition.Definition cannot be found by org.eclipse.equinox.weaving.aspectj_1.0.400.qualifier

ÂÂÂÂÂÂÂÂÂÂÂÂÂ at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:433)

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ â

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

Â

!SESSION 2017-12-01 01:28:30.989 -----------------------------------------------

eclipse.buildId=unknown

java.version=1.8.0_111

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

Framework arguments:Â -product org.eclipse.platform.ide

Command-line arguments:Â -product org.eclipse.platform.ide -data Z:\workspace/../runtime-ajdt -dev file:Z:/workspace/.metadata/.plugins/org.eclipse.pde.core/ajdt/dev.properties -os win32 -ws win32 -arch x86_64 -consoleLog

Â

!ENTRY org.eclipse.ui.navigator 4 2 2017-12-01 01:28:41.825

!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.navigator".

!STACK 1

org.eclipse.core.runtime.CoreException: Plug-in org.eclipse.ajdt.ui was unable to load class org.eclipse.ajdt.internal.ui.lazystart.CompilationUnitFilter.

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.throwException(RegistryStrategyOSGI.java:194)

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ â

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ at org.eclipse.equinox.launcher.Main.main(Main.java:1472)

Caused by: java.lang.ClassNotFoundException: org.eclipse.ajdt.internal.ui.lazystart.CompilationUnitFilter cannot be found by org.eclipse.ajdt.ui_2.2.4.qualifier

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:484)

ÂÂÂÂÂÂÂÂÂÂÂÂÂÂ â

Â

Â

Didnât find much through google. Any ideas?

Â

Thanks!

Conrad

Â

Â


_______________________________________________
aspectj-dev mailing list
aspectj-dev@xxxxxxxxxxx
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/aspectj-dev